Bug 84913 - Install fails half way through: bad media passed scan?
Install fails half way through: bad media passed scan?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-23 15:09 EST by Paul Johnson
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 12:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2003-02-23 15:09:01 EST
Description of problem:
Bad media passes scan and partly installs RH8.1

Version-Release number of selected component (if applicable):
beta-3

How reproducible:
I could send you some CDs if you want

Steps to Reproduce:
1.I wrote 2 sets of phoebe beta-3 and made a boot floppy. 
2.after installing most of the rpms on disk 1, the install failed, saying 
it could not install ethtool, possibly because the cd was bad.
3.The system would start with the new kernel, but the CD would not mount to
finish installation of RPMS.
    
Actual results:


Expected results:


Additional info:

Here is my diary, maybe you can see what went wrong, I can't.  Except that the
CDROM scan at the beginning of the install does no good.

When the install starts, it offers to verify  your media.  I made 2 sets of
disks, all DID verify. The install began, and it was doing the upgrade,
installing packages, and the upgrade died with the error saying it could not
install the package "ethtool" and that may be a sign that the disk is bad.

So I started the system and it did start and it had already upgraded the kernel,
grub.conf, glibc, and a few other things.   Inside the session, I was able to
mount the CDROM and then use rpm to upgrade the rest of the files on the disk. 
ethtool installed fine.  Other RPMs installed fine.

So then I reasoned that it was just a fluke, or somehow my cdrom malfunctioned,
so I started the RH8.1 install again.  This time, the installer did not find any
cd at all. It kept asking me to put a disk in, and when I put in either of the
copies, it did not find it. It did not find any CD in the drive, not either one.

Interesting, yes?

I booted from the RH boot.img floppy and started in "linux rescue" mode.  I was
able to mount the cd and install some more RPMS. OK.

So then I restarted the system again, let the new kernel start, and then I can't
mount the CDROM. The error message sometimes was the one saying "Too many
mounted file systems or invalid block device" and sometimes it just said "no
medium".

So I conclude that the CD's I made are all bad, or that my CDROM is somehow
damaging them, scratching them?
Comment 1 Michael Fulbright 2003-02-24 11:45:04 EST
If you look at bug 75008 I've made some comments on what is going on.

To summarize - the mediacheck reads the CD sequentially and does a big checksum.
During an install the packages on the CD are not accessed sequentially, and I
believe this causes CDs to fail during the install that passed mediacheck.  I
plan on making the mediacheck more strenuous a test to try and catch these
marginal CDs as well.

If you look on VC4 when you get an error (hit CNTL-ALT-F4, use CNTL-ALT-F7 to go
back to the GUI screen) look for any IDE/ATAPI errors.  This will help you
understand if its a read error.
Comment 2 Michael Fulbright 2003-04-22 12:30:06 EDT
Closing due to inactivity. If you have new information to add please reopen the
issue report.

Note You need to log in before you can comment on or make changes to this bug.